<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.diagbot.mapper.UserAuthenticationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.diagbot.entity.UserAuthentication">
        <id column="id" property="id"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="gmt_create" property="gmtCreate"/>
        <result column="gmt_modified" property="gmtModified"/>
        <result column="certification_date" property="certificationDate"/>
        <result column="creator" property="creator"/>
        <result column="modifier" property="modifier"/>
        <result column="user_id" property="userId"/>
        <result column="position" property="position"/>
        <result column="is_reject" property="isReject"/>
        <result column="reject_type" property="rejectType"/>
        <result column="reject_comment" property="rejectComment"/>
        <result column="status" property="status"/>
        <result column="remark" property="remark"/>
    </resultMap>

    <select id="getAllWaitAuthCou" resultType="int">
    	select
    		count(1)
    	from sys_user_authentication
    	where is_deleted = 'N' and status=2
    </select>

</mapper>
